Subject: Re: GCC
From: "Kai Henningsen" <[email-masked]>
To: Kai Henningsen <[email-masked]>, hark sng- <[email-masked]>, Mumit Khan <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 14 Sep 1999 15:48:26 +0200

On 14 Sep 99, at 5:49, Earnie Boyd wrote:

> --- Kai Henningsen <[email-masked]> wrote:
> > On 13 Sep 99, at 8:18, Earnie Boyd wrote:
> > 
> > > --- Kai Henningsen <[email-masked]> wrote:
> > > -8<-
> > > > Found: f:\cygnus\cygwin-b20\H-i586-cygwin32\bin\cpp.exe
> > > > Found: f:\cygnus\CYGWIN~1\H-I586~1\bin\cpp.exe
> > > -8<-
> > >
> > > This should not be here.  You've moved/copied it from the correct location
> > > underneath lib/gcc-lib/i586-cygwin32/<gcc-version>/.
> > 
> > I haven't touched it. Let's see ...
> > 
> > bash-2.02$ find //f/cygnus/ -name "*cpp*" 2>/dev/null
> > //f/cygnus/cygwin-b20/H-i586-cygwin32/bin/cpp.exe
> > bash-2.02$
> > 
> > ... so *none* of the packages I installed put cpp in gcc-lib. And
> > neither did I get two copies as Mumit said. [*]
> > 
> 
> _YES_ it did!  Look again!  If it's not there, you've a problem with the
> installation.

I installed the stuff exactly as I reported. Really.

I think I'm gonna wipe and reinstall it, but I really don't understand 
how something like that could have gone wrong.

I guess I'm spoiled by "real Unix".

> > bash-2.02$ find //f/cygnus/ -name hggbjhb
> > find: //f/cygnus/cygwin-b20/H-i586-cygwin32/etc: No such file or directory
> > find: //f/cygnus/cygwin-b20/H-i586-cygwin32/i586-cygwin32: No such file or
> > direc
> > tory
> > find: //f/cygnus/cygwin-b20/H-i586-cygwin32/i586-pc-cygwin32: No such file or
> > di
> > rectory
> > find: //f/cygnus/cygwin-b20/H-i586-cygwin32/lib: No such file or directory
> > find: //f/cygnus/cygwin-b20/H-i586-cygwin32/libexec: No such file or
> > directory
> > find: //f/cygnus/cygwin-b20: No such file or directory
> > bash-2.02$
> > 
> > Looks like a find (or library) bug.
> > 
> > 
> 
> The directory routines were completely rewritten.  Although, the //f should
> work for backward compatibility it should really be /cygdrive/f/.  Try your
> find with /cygdrive/f instead of //f.

Exactly the same results (modulo pathnames).

> Also, make certain that you have only one cygwin1.dll in your PATH.  Since find

I have.

> is having problems use the FileManager Find tool to check it.  I didn't notice

Find seems to do the right thing, except for the error messages.

Regards - Kai Henningsen

-- 
http://www.cats.ms
Spuentrup CTI       Fon: +49 251 322311 0  
Windbreede 12       Fax: +49 251 322311 99
D-48157 Münster     Mob: +49 161 3223111
Germany             GSM: +49 171 7755060

--
Want to unsubscribe from this list?
Send a message to [email-masked]